<template>
    <div id="wrap" v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
     <div v-wechat-title="$route.meta.title=name"></div>
        <div class="center" v-show="centershow">
            <div style="box-shadow:0.05rem 0.05rem 0.05rem lightgray; height:4rem;">
                <div class="head">
                        <h2>当前时段人天使用率</h2>
                    </div>
                <!-- <div class="box">
                     
                    <div class="leftbox">
                            <span>开始日期</span>&nbsp;
                        
                        <input readonly="readonly"  @click="openpicker('startdate')" type="text" v-model="startdate">
                    </div>
                    <div class="leftbox">
                        <span>结束日期</span>&nbsp;
                        <input readonly="readonly"  @click="openpicker('enddate')" type="text" v-model="enddate">
                    </div>
                    <button @click="search()" style="width:30%;color:#5477AB; background:white; border:0.02rem solid lightgray; border-radius:0.1rem; font-size:0.28rem;  height:0.8rem; margin-top:0.1rem;">查询</button>
                </div> -->
                <div class="box">
                <div class="leftbox">
                    <span>开始日期</span>
                    <input readonly="readonly"  @click="openpicker('startdate')" type="text" v-model="startdate">
                </div>
                <div class="leftbox">
                    <span>结束日期</span>
                    <input readonly="readonly"  @click="openpicker('enddate')" type="text" v-model="enddate">
                </div>
                <button @click="searchnei()" style="width:30%;color:#5477AB; background:white; border:0.02rem solid lightgray; border-radius:0.1rem; font-size:0.28rem;  height:0.8rem; margin-top:0.1rem;">查询</button>
               
            </div>
                <div class="datalv">
                    <h1>{{validWorkDayByPeriod}}</h1>
                </div>
            </div>
            <div class="datayue">
                    <h2>当月人天使用率</h2>
                     <div style="text-align:center;"><h1>{{validWorkDayByMonth}}</h1></div>
            </div>
            
           
              <div id="lineChart"></div>
        </div>
        <div class="center centertwo" v-show="centertwoshow">
            <div style=" height:4rem;">

           
            <div class="box">
                <div class="leftbox">
                    <span>开始日期</span>
                    <input readonly="readonly"  @click="openpicker('daystartdate')" type="text" v-model="daystartdate">
                </div>
                <div class="leftbox">
                    <span>结束日期</span>
                    <input readonly="readonly"  @click="openpicker('dayenddate')" type="text" v-model="dayenddate">
                </div>
                <button @click="searchnei()" style="width:30%;color:#5477AB; background:white; border:0.02rem solid lightgray; border-radius:0.1rem; font-size:0.28rem;  height:0.8rem; margin-top:0.1rem;">查询</button>
               
            </div>
             <div class="head">
                <h2>当前时段内部人天</h2>
            </div>
             <div class="datalv">
                   <h1>{{totalInternal}}天</h1>
            </div>
            </div>
            <div id="circleChart" style="width:100%; margin-top:0.2rem;"></div>
        </div>
         <div class="center centerthree" v-show="centerthreeshow" >
             <div style="box-shadow:0.02rem 0.02rem 0.02rem lightgray;">
           
            <div class="box">
                <div class="leftbox">
                    <span>开始日期</span>
                    <input readonly="readonly"  @click="openpicker('xmstartdate')" type="text" v-model="xmstartdate">
                </div>
                <div class="leftbox">
                    <span>结束日期</span>
                    <input readonly="readonly"  @click="openpicker('xmenddate')" type="text" v-model="xmenddate">
                </div>
                <button @click="searchfei()" style="width:30%;color:#5477AB; background:white; border:0.02rem solid lightgray; border-radius:0.1rem; font-size:0.28rem;  height:0.8rem; margin-top:0.1rem;">查询</button>
               
            </div>
             <div class="head">
                <h2>当前时段非收费人天</h2>
            </div>
             <div class="datalv">
                   <h1>{{total}}天</h1>
            </div>
            <div class="topbox">
                <h1 style="margin-left:5px; font-weight:500;">当前时段非收费人天分布</h1>
                <table>
                    <tr>
                       <th>项目名称</th>
                       <th>人天数</th> 
                    </tr>
                    <tr v-for="(item,index) in listnow" :key="index">
                       <td>{{item.proName}}</td>
                       <td>{{item.proDay}}</td> 
                    </tr>
                </table>
            </div>
            </div>
             <div class="downbox">
                <h1 style="margin-left:5px; font-weight:500;">全年非收费人天分布</h1>
                <table>
                    <tr>
                       <th>项目名称</th>
                       <th>人天数</th> 
                    </tr>
                    <tr v-for="(item,index) in listyear" :key="index">
                       <td>{{item.proName}}</td>
                       <td>{{item.proDay}}</td> 
                    </tr>
                </table>
            </div>
            <div style="height:2rem; width:100%;"></div>
        </div>
        <div class="footer">
            <button :class="centershow ? 'choosebtn':''"  class="btn" @click="oneclick()">人天使用率</button>
            <button :class="centertwoshow ? 'choosebtn':'' " class="btn" @click="twoclick()">内部人天</button>
            <button :class="centerthreeshow ? 'choosebtn':''" class="btn" @click="threeclick()">非收费人天</button>
        </div>
         <mt-datetime-picker
                ref="picker"
                type="date"
                year-format="{value}年"
                month-format="{value}月"
                date-format="{value}日"
                v-model="pickerValue" @cancel="opendismiss()"  @confirm="handleconfirm()"  readonly="readonly">
            </mt-datetime-picker>
            <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
           >
            <span style="margin:0 auto; width:20%;">{{word}}</span>
            <span slot="footer" class="dialog-footer">
                <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
            </span>
        </el-dialog>
    </div>
</template>
<script>
import format from '../../utils/format.js';
export default {
    data(){
         let tmonth=new Date().getMonth()+1;
         let zmonth=new Date(new Date() - 1000 * 60 * 60 * 24 * 30).getMonth()+1;
        return{
            name:'个人人天使用率',
            pickerValue:new Date().getFullYear()+'-'+tmonth+'-'+new Date().getDate(),
            startdate:'2020-1-1',
            enddate:'2020-12-31',
            daystartdate:'2020-1-1',
            dayenddate:'2020-12-31',
            xmstartdate:new Date(new Date() - 1000 * 60 * 60 * 24 * 30).getFullYear()+'-'+zmonth+'-'+new Date(new Date() - 1000 * 60 * 60 * 24 * 30).getDate(),
            xmenddate:new Date().getFullYear()+'-'+tmonth+'-'+new Date().getDate(),
            centershow:true,
            centertwoshow:false,
            centerthreeshow:false,
            datekey:'',
            isshow:true,
            istype:'加载中',
            issave:false,
            word:'',
            validWorkDayByMonth:'',
            validWorkDayByPeriod:'',
            totalInternal:'',
            total:'',
            listnow:[],
            listyear:[],
        }
    },
     computed:{
        lineoptions(){
            // let that=this;
            let option={
                title:{
                    text:'全年人天使用率变化趋势分布',
                    x:'left',

                    textStyle:{
                        fontSize:'16',
                        lineHeight:'20',
                        fontWeight:'500'
                    }
                },
                 xAxis: {
                        type: 'category',
                        name:'月',
                        data: '',
                        axisLabel:{
                            interval:0 
                        }
                    },
                    yAxis: {
                        type: 'value',
                        name: '人天使用率',
                        axisLabel:{formatter:'{value}%'}
                    },
                    series: [{
                        data: '',
                        type: 'line'
                    }]
                
                
            }
            return option;
        },
        circleoptions(){
            // let that=this;
           let option = {
                title: {
                    text: '当前时段内部人天分布',
                    left: 'left',
                    textStyle:{
                        fontWeight:500,
                        fontSize:16
                    }

                },
                tooltip: {
                    trigger: 'item',
                    formatter: '{a} <br/>{b} : {c} ({d}%)'
                },
            
                series: [
                    {
                        name: '访问来源',
                        type: 'pie',
                        radius: '80%',
                        center: ['50%', '60%'],
                        label:{
                             normal: {
                                show: true,
                                position: 'inner',
                               formatter:'{b}({c}天)'
                            },
                        },
                        data: '',

                        emphasis: {
                            itemStyle: {
                                shadowBlur: 10,
                                shadowOffsetX: 0,
                                shadowColor: 'rgba(0, 0, 0, 0.5)'
                            }
                        }
                    }
                ]
            };
            return option;
        },
    },
    methods:{
        openpicker(datekey){
             this.$refs.picker.open();
             console.log(datekey);
             this.datekey=datekey
        },
        sureback(){
            this.issave=false;
        },
        opendismiss(){
             this.$refs.picker.close();
        },
        handleconfirm(){
             let d=new Date(this.pickerValue);
             console.log(d);
            let month=d.getMonth()+1
          //  this.list[this.index][this.key]=d.getFullYear()+'-'+month+'-'+d.getDate();
            this[this.datekey] =d.getFullYear()+'-'+month+'-'+d.getDate();
            console.log(this.datekey);
            console.log(this.startdate);
             this.$refs.picker.close();
        },
        search(){
            let obj={
                 accId:context.WEQYUserId,
                startDate:this.startdate,
                endDate:this.enddate
            }
            this.publickajax(obj);
        },
        searchnei(){
            let obj={
                 accId:context.WEQYUserId,
                startDate:this.daystartdate,
                endDate:this.dayenddate,
            }
            this.neiajax(obj);
        },
        searchfei(){
             let obj={
                 accId:context.WEQYUserId,
                startDate:this.xmstartdate,
                endDate:this.xmenddate,
            }
            this.feiajax(obj);
        },
        drawline(){
            let myChart = this.$echarts.init(document.getElementById('lineChart'));
            myChart.setOption(this.lineoptions);
        },
        drawcircle(){
             let myChart1 = this.$echarts.init(document.getElementById('circleChart'));
            myChart1.setOption(this.circleoptions);
        },
        oneclick(){
            this.centershow=true;
            this.centertwoshow=false;
            this.centerthreeshow=false;
            this.drawline();
            this.name="个人人天使用率";
             let obj={
                 accId:context.WEQYUserId,
                startDate:this.startdate,
                endDate:this.enddate,
            }
            this.publickajax(obj);
           
        },
        twoclick(){
            this.centertwoshow=true;
            this.centershow=false;
            this.centerthreeshow=false;
            this.name="内部人天";
            let obj={
                 accId:context.WEQYUserId,
                startDate:this.daystartdate,
                endDate:this.dayenddate,
            }
            this.neiajax(obj);
           
            // this.centertwoshow=true;
            // this.centerthreeshow=false;
            
        },
        threeclick(){
            this.centershow=false;
            this.centertwoshow=false;
            this.centerthreeshow=true;
            this.name="非收费人天";
            let obj={
                accId:context.WEQYUserId,
                startDate:this.xmstartdate,
                endDate:this.xmenddate
            }
            this.feiajax(obj);

        },
        publickajax(obj){
             let that=this;
            that.isshow=true;
            client.apexrest('/rest/Rest_GetValidWorkDayByPeriod',function(data){
                  console.log(data);
                  if(data.Status=="Success"){
                      that.isshow=false;
                      that.validWorkDayByPeriod=data.workDayInfo.validWorkDayByPeriod;
                      that.validWorkDayByMonth=data.workDayInfo.validWorkDayByMonth;
                      that.lineoptions.xAxis.data=['1','2','3','4','5','6','7','8','9','10','11','12'];
                      that.lineoptions.series[0].data=data.workDayInfo.monthDayList;
                      that.drawline();
                  }else{
                       that.isshow=false;
                       that.issave=true;
                       that.word=data.Message;
                  }
                
                },function(error){
                 that.isshow=false;
                 that.issave=true;
                // that.word=error;
                 that.word="网络连接异常";
                },'POST',obj,true)
        },
        neiajax(obj){
             let that=this;
            that.isshow=true;
            client.apexrest('/rest/Rest_GetInternalWorkDayByPeriod',function(data){
                  console.log(data);
                  if(data.Status=="Success"){
                      that.isshow=false;
                      that.totalInternal=data.workDayInfo.totalInternal;
                      if(data.workDayInfo.noProject==0 && data.workDayInfo.businessSickLeave!==0){
                          var arr=[{value:data.workDayInfo.businessSickLeave,name:'病事假'}]
                      }else if(data.workDayInfo.noProject!==0 && data.workDayInfo.businessSickLeave==0){
                           var arr=[{value:data.workDayInfo.noProject,name:'无项目人天'}]
                      }else{
                            var arr=[{value:data.workDayInfo.businessSickLeave,name:'病事假'},{value:data.workDayInfo.noProject,name:'无项目人天'}]
                      }
                    that.circleoptions.series[0].data=arr;
                     that.drawcircle();
                  }else{
                       that.isshow=false;
                       that.issave=true;
                       that.word=data.Message;
                  }
                
                },function(error){
                 that.isshow=false;
                 that.issave=true;
                 //that.word=error;
                 that.word="网络连接异常";
                },'POST',obj,true)
        },
        feiajax(obj){
            let that=this;
            that.isshow=true;
            client.apexrest('/rest/Rest_GetUnChargeWorkDayByPeriod',function(data){
                  console.log(data);
                  if(data.Status=="Success"){
                      that.isshow=false;
                      that.total=data.workDayInfo.total;
                      that.listnow=data.workDayInfo.nowProWorkDayList;
                      that.listyear=data.workDayInfo.yearProWorkDayList;
                  }else{
                       that.isshow=false;
                       that.issave=true;
                       that.word=data.Message;
                  }
                
                },function(error){
                 that.isshow=false;
                 that.issave=true;
                 //that.word=error;
                 that.word="网络连接异常";
                },'POST',obj,true)
        }
    },
    mounted(){
      
       
    },
    created(){
        let obj={
            accId:context.WEQYUserId,
            startDate:this.startdate,
            endDate:this.enddate
        }
       this.publickajax(obj);
      
    }
}
</script>
<style>
#circleChart canvas{
    width: 100%;
}
</style>

<style lang="scss" type="text/scss" scoped>
    #wrap{
        width: 100%;
        height: 100vh;
        background: white;
    }
    #wrap .center .head{
        width: 100%;
        height: 1rem;
        text-align: left;
        line-height: 1rem;
        background: white;
    }
    #wrap .center .head h2{
        //color: gray;
       // color: red;
       font-size: 0.32rem;
       text-indent: 0.2rem;
       font-weight: 500;
    }
    #wrap .center .box{
        display: flex;
        height: 1rem;
        background: white;
        // width: 95%;
        // line-height: 1rem;
        // align-items: center;
    }
    #wrap .center .datalv{
        width: 100%;
        height: 2rem;
        text-align: center;
        line-height: 1.7rem;
        //border-bottom:0.01rem solid lightgray;
        // font-size: 0.38rem;
        // font-size:0.36rem;
    }
    #wrap .centertwo .datalv{
        height: 2rem;
        line-height: 2rem;
        border:none;
    }
    #wrap .centerthree .datalv{
        height:2rem;
        line-height: 1.7rem;
        border:none;
    }
    #wrap .center .datalv h1{
        color: red;
        font-size: 0.8rem;
    }
    #wrap .center .datayue{
        width: 100%;
        height: 3rem;
        line-height: 1rem;
        text-align: left;
        border-bottom: 0.01rem solid lightgray;
    }
    #wrap .center .datayue h2{
        font-size: 0.32rem;
        text-indent: 0.2rem;
        font-weight: 500;
    }
    #wrap .center .datayue h1{
        color: red;
        margin: 0 auto;
        font-size: 0.8rem;
    }
       #wrap .center .box{
           width: 95%;
           margin: 0 auto;
       }
    #wrap .center .box .leftbox{
        display: flex;
        align-items: center;
    }
     #wrap .center .leftbox span{
         width: 41%;
         color: gray;
         font-size:0.28rem;

     }
    //   #wrap .centertwo .box .leftbox span{
    //      width: 28%;
    //      color: gray;
    //      font-size:0.24rem;

    //  }
    //   #wrap .centerthree .box .leftbox span{
    //      width: 28%;
    //      color: gray;
    //      font-size:0.24rem;

    //  }

     #wrap .center  .leftbox input{
         width: 56%;
         text-align: center;
         height: 0.8rem;
         border: 0.02rem solid lightgray;
         color: gray;
         border-radius: 0.1rem;
     }
    //   #wrap .centertwo .box .leftbox input{
    //      width: 77%;
    //      height: 0.8rem;
    //      border: 0.01rem solid lightgray;
    //      color: gray;
    //  }
    // #wrap .centerthree .box .leftbox input{
    //         width: 77%;
    //         height: 0.8rem;
    //         border: 0.01rem solid lightgray;
    //         color: gray;
    //     }

    #wrap .center .box .rightbox{
        display: flex;
    }
    #wrap #circleChart{
          width:100%;
         height: 300px;
    }
    #wrap #lineChart{
         width:98%;
         margin: 0 auto 1.5rem auto;
         height: 300px;
         background: white;
       //  margin-top: 0.5rem;
    }
    #wrap .footer{
        width: 100%;
        height: 1rem;
        display: flex;
        position: fixed;
        left: 0;
        bottom: 0;
        background: white;
        box-shadow: 0.3rem 0.3rem 0.3rem lightgray;
      //  margin-top:1rem;
    }
    #wrap .footer .btn{
        text-align: center;
        width: 33.33%;
        color: #5477AB;
       // border-right: 0.01rem solid lightgray;
        background: white;
        font-size:0.28rem;
       // border:0.01rem solid lightgray;

        // border-right: 0.01rem solid lightgray;
        // border-left: 0.01rem solid lightgray;
    }
    #wrap .footer .choosebtn{
        background: #5477AB;
        color: white;
    }
    #wrap .centerthree .topbox{
        width: 100%;
        margin: 0 auto;
    }
     #wrap .centerthree .topbox h1{
        width: 100%;
        height: 1rem;
        line-height: 1rem;
        margin-left: 0.2rem;
        font-size: 0.32rem;
    }
     #wrap .centerthree .topbox table{
         width: 96%;
         margin: 0 auto;

     }
      #wrap .centerthree .topbox table tr{
          width: 100%;
          line-height: 1rem;
       //   text-align: center;
          height: 1rem;
          border: 0.01rem solid lightgray;
          color: gray;
      }
       // border-left:0.01rem solid lightgray;
       #wrap .centerthree .topbox table tr:first-child{
           background:  #2F4654;
           color:white;
       }
       #wrap .centerthree .topbox table tr th:first-child{
           width:60%;
           border-right:0.01rem solid lightgray;
       }
       #wrap .centerthree .topbox table tr th:last-child{
            width:40%;
           border-right:0.01rem solid lightgray;
       }
       #wrap .centerthree .topbox table tr td{
             border-right: 0.01rem solid lightgray;
              text-align: left;
          text-indent:0.2rem;
          font-size: 0.28rem;
          word-wrap : break-word;
       }
       #wrap .centerthree .downbox{
        width: 98%;
        margin:  1rem auto 1rem auto;
        height: auto;
        background: white;
    }
     #wrap .centerthree .downbox h1{
        width: 100%;
        height: 1rem;
        line-height: 1rem;
        margin-left: 0.2rem;
        font-size: 0.32rem;
        //color:red;
    }
     #wrap .centerthree .downbox table{
         width: 99%;
        // margin: 0rem auto 2rem auto;

     }
      #wrap .centerthree .downbox table tr{
          width: 100%;
          line-height: 1rem;
        //  text-align: center;
          height: 1rem;
          color: gray;
          border: 0.01rem solid lightgray;
      }
      #wrap .centerthree .downbox table tr:first-child{
          background: #2F4654;
          color: white;
      }
      #wrap .centerthree .downbox table tr th{
          border-left:0.01rem solid lightgray;
      }
       #wrap .centerthree .downbox table tr td{
          text-align: left;
          text-indent:0.2rem;
          font-size: 0.28rem;
          word-wrap: break-word;
      }
       #wrap .centerthree .downbox table tr th:first-child{
           width: 60%;
       }
        #wrap .centerthree .downbox table tr th:last-child{
            width: 40%;
        }
      #wrap .centerthree .downbox table tr td{
          border-left:0.01rem solid lightgray;
           word-wrap : break-word;

      }
</style>

